<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-12">
        <h4 class="page-title">Refund Details</h4>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">
          <div class="row">
            <div class="col-md-12">
              <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                <div class="panel panel-default">
                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse"
                    data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    <h4 class="panel-title">
                      <a>
                        <i class="more-less fa fa-plus"></i>
                        <span class="searchbar_text_padding_left"> Search
                        </span>
                      </a>
                    </h4>
                  </div>
                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                    <div class="panel-body">
                      <div class="row">
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Order Date </label>
                            <kendo-datepicker id="year_order" style="width: 100%;" [format]="'dd MMM yyyy'"
                              [(ngModel)]="searchOrderdate" name="ordr_date" [placeholder]="'Select Date'">
                            </kendo-datepicker>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Order No </label>
                            <input type="text" class="form-control" placeholder="Enter Order No"
                              [(ngModel)]="searchOrderNo">
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Buyer </label>
                            <input type="text" class="form-control" placeholder="Enter Buyer" [(ngModel)]="searchBuyer">
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Cancel Reason </label>
                            <select class="form-control form_control_border_radius" name="cancel_reason"
                              [(ngModel)]="getCancel_reason.id">
                              <option value="0">Select From List</option>
                              <option *ngFor="let option of cancel_reasonList" value={{option.id}}>
                                {{option.order_cancel_reason_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="form-group">
                            <label class="search_label">Refund Status </label>
                            <select class="form-control form_control_border_radius" name="refund_status"
                              [(ngModel)]="getRefund_status.id">
                              <option value="0">Select From List</option>
                              <option *ngFor="let option of refund_statusList" value={{option.id}}>
                                {{option.refund_status_name}}
                              </option>
                            </select>
                          </div>
                        </div>
                        <div class="col-md-2 col_custom_padding">
                          <div class="">
                            <label class="search_label" style="width: 100%;">&nbsp;</label>
                            <button class="btn btn-primary search_btn_width" (click)="onSearchBtn()"><i
                                class="fa fa-search"></i> Search</button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <kendo-grid [data]="refund_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                  [skip]="state.skip" (sortChange)="sortRefundChange($event)" [filter]="state.filter" [pageable]="true"
                  scrollable="true" [resizable]="true" [reorderable]="true"
                  (dataStateChange)="refund_DataStateChange($event)" (pageChange)="pageChange($event)">
                  <kendo-grid-column field="orderDate" title="ORDER DATE"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'90px'}" [style]="{'width':'90px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.created_date|date:'dd MMM yyyy'}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  <kendo-grid-column field="orderNo" title="ORDER NO"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'120px'}" [style]="{'width':'120px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.order_no}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  <kendo-grid-column field="seller" title="SELLER"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            <!-- <a href="javascript:void(0)" (click)="OnSellernameClick(index.seller.id)"> 
                              <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">-->
                            {{index.seller.user_name}}
                            <!--</h6>
                            </a> -->
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  <kendo-grid-column field="buyer" title="BUYER"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            <!-- <a href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)"> 
                              <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">-->
                            {{index.buyer.user_name}}
                            <!--</h6>
                             </a> -->
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  <kendo-grid-column field="amount" title="AMOUNT / FEE"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'120px'}" [style]="{'width':'120px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div>
                            {{index.total_amount-index.service_fee | currency: 'INR':'symbol':'1.0-0'}} / {{index.service_fee | currency: 'INR':'symbol':'1.0-0'}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  
                  <kendo-grid-column field="cencelreason" title="CANCEL REASON"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'150px'}" [style]="{'width':'150px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.order_cancel_reason.order_cancel_reason_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  
                  <kendo-grid-column field="servicecharge" title="STATUS"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div>
                            {{index.refund_status.refund_status_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                  
                  <kendo-grid-column field="servicecharge" title="REFUND AMT"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div>
                            {{index.total_refund_amount}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="ACTION"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'65px'}" [style]="{'width':'65px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div *ngIf="index.refund_status?.id==1">
                            <a title="Edit" class="dropdown_a_class"
                              (click)="onRefundAction(index.id, index.order_cancel_reason.order_cancel_reason_name)"><i
                                class="fa fa-pencil edit_icon"></i></a>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                </kendo-grid>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>